# frozen_string_literal: true

require 'base64'
require 'json'
require 'git'
require 'thor'
require 'yaml'

require 'learn_lab/configuration'
require 'learn_lab/errors'
require 'learn_lab/file_system'
require 'learn_lab/prompt'
require 'learn_lab/test/runner'
require 'learn_lab/test/parsers/mocha'
require 'learn_lab/test/parsers/null'
require 'learn_lab/test/parsers/rspec'
require 'learn_lab/test/strategy'
require 'learn_lab/test/strategies/mocha'
require 'learn_lab/test/strategies/none'
require 'learn_lab/test/strategies/rspec'
require 'learn_lab/token'
require 'learn_lab/vcs'
require 'learn_lab/version'

require 'learn_lab/cli'

# Top-level module
#
module LearnLab
  def self.file_system
    FileSystem.new
  end
end
