# frozen_string_literal: true

module LearnLab
  # Special prompt that keeps asking for input until it is valid.
  #
  class Prompt
    attr_reader :output

    def initialize(output=$stdout)
      @output = output
    end

    def ask(question, &block)
      input_is_valid = false
      until input_is_valid
        output.print("\n#{question} > ")
        answer = $stdin.gets.chomp
        input_is_valid = block_given? ? block.call(answer) : true
      end

      answer
    end
  end
end
