# frozen_string_literal: true

module LearnLab
  module Test
    module Parsers
      # Parse Mocha test result output
      #
      class Mocha
        attr_reader :output

        def initialize(output)
          @output = output
        end

        def framework
          'mocha'
        end

        def duration
          output ? output[:stats][:duration] : 0
        end

        def example_count
          output ? output[:stats][:tests] : 1
        end

        def passing_count
          output ? output[:stats][:passes] : 0
        end

        def pending_count
          output ? output[:stats][:pending] : 0
        end

        def failure_count
          output ? output[:stats][:failures] : 1
        end
      end
    end
  end
end
