# frozen_string_literal: true

module LearnLab
  module Test
    module Parsers
      # Parse RSpec test result output.
      #
      class Rspec
        attr_reader :output

        def initialize(output)
          @output = output
        end

        def framework
          'rspec'
        end

        def duration
          output ? output[:summary][:duration] : 0
        end

        def example_count
          output ? output[:summary][:example_count] : 1
        end

        def passing_count
          example_count - failure_count - pending_count
        end

        def pending_count
          output ? output[:summary][:pending_count] : 0
        end

        def failure_count
          output ? output[:summary][:failure_count] : 1
        end
      end
    end
  end
end
