# frozen_string_literal: true

module LearnLab
  module Test
    module Strategies
      # Null strategy object used when no test suite is detected.
      #
      class None < Strategy
        def run
          out.puts <<~MSG
            This directory doesn't appear to have any specs in it, so
            there’s no test to run.
          MSG
        end

        def parser
          @parser ||= LearnLab::Test::Parsers::Null.new
        end
      end
    end
  end
end
