# frozen_string_literal: true

module LearnLab
  # Adapter for the Version Control System.
  #
  class VCS
    def initialize(directory, &block)
      @repo = Git.open(directory)
    rescue StandardError => e
      msg = "You don't appear to be in a Learn lesson's directory. Please " \
            'cd to an appropriate directory and try again.'

      block_given? ? block.call(msg, e) : raise(LearnLab::Error.new(msg))
    end

    def remote_url
      @repo.remote.url
    end

    def working_directory
      @repo.dir.path
    end
  end
end
